/*SYNTAX*/
/*A CSS rule-set consists of a selector and declaration block*/



/*Universal Selector*/
/*The "*" is a universal selector and is used to target all elements*/

html {
	scroll-behavior: smooth;
}

* {
	font-family: "courier new", monospace;
	font-size: 20px;
}

body > nav > div > a, body > nav > a {
	text-decoration:none
}

body {
	background-color: skyblue;
}

/*Navigation bar*/
nav {
	background-color: white;
}
/*selector:pseudo class*/
/*changes the style when hovered over*/
a:hover {
	background-color: #C589E8 ;
}

div {
	display: inline-block;
	float: right;
}
/*Navigation bar end*/

/*ID Selector*/
/*ID Selector targets elements according to its ID attrib, idealy used to 
target unique elements*/
#zuitt-motto {
	letter-spacing: 5px;
}

h3 {
	letter-spacing: 25px;
}

/*Type Selector*/
/*h1 - selector (Determins which element will the sytling be applied to) */
/*h1 - Selector (Determines which elements will the styling be applied to*/
h1 {
	/*color: yellow - Declaration block *The styling attribute applied to
	a given selector, seperated by colon and ends with semi-colon*/
	/*color - property (The selected styling attribute to be modified in 
	a given selector)*/
	/*yellow - value (The modified value of the selected styling attribute)*/
	color:yellow;
	text-align: center;
	font-size: 2rem;
}

h2 {
	font-size: 1.5rem;
}

ol {
	list-style-type: none;
}

section {
	height: 100vh;
	text-align: center;
}

form {
	text-align: center;
	background-color: white;
	/*border-width, border style, border-color*/
	border:	2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;

}

/*Class Selector*/
/*Class Selector targets elements according to its class attribute, 
ideally used for targetting multiple elements at once*/
.offering-item {
	text-transform: uppercase;
}

/*Adjacent Sibling Selector*/
/*selector + selector*/
/* "+" seperates two selectors and matches the second element, only if it 
immediately follows the first element */

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 50%;
}

/*Descendant Selector*/
/*selector selector*/
/*Descendant selector combines two selectors such that elements matched 
by the second selector if they have an ancestor element matching the first
selector*/

#bootcamp-learning-list li {
	color:#4C191B;
/*Hexadecimal color values start with #*/
/* https://coolors.co/  -  very good resource */
}

/*Attribute Selector*/
/*Attribute Selector targets elements with  a specified element attribute*/
/*tagname[attribute]*/
input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}

/*General Sibling Selector*/
/* selector ~ selector */

h2 ~ a {
	text-decoration:none ;
	color: #963D5A ;
}

/*	you can include another selector with ","	*/
/* 
h2 ~ a, a {
	text-decoration:none ;
	color: #963D5A ;
}
*/

/*Child Selector*/
/* selector > selector > selector ... */

body > section > form > label {
	/*RGB min value - 0, max value - 255*/
	color: rgb(0, 0, 128) ;
}

/*NOTES*/
/*Specificity Rule*/
/*
The following order prioritizes styles from highest to lowest priority 
(according to selector):
1.	ID Selector (Highest)
2.	Class Selector
3. 	Attribute Selector
4.	Type Selector
5.	Universal Selector (Lowest)
*/

/*The following order prioritizes styles from highest to lowest priority 
(according to location):
1.	Inline Styling (Highest)
2.	External Styling
3.	Internal Styling (Lowest)
*/

/*
RULES CAN BE OVERRIDDEN WITH "!important"
*/

/*CSS Combinators*/
/*
Adjacent Sibling Selector (+)
Descendant Sibling Selector (Whitespace)
General Sibling Selector (~)
Child Selector (>)
*/